### Method

# WebKit2WebExtension DOMUIEvent init_ui_event

deprecated: 2.22

#### Declaration [src]

    void
    webkit_dom_ui_event_init_ui_event (
      WebKitDOMUIEvent* self,
      const gchar* type,
      gboolean canBubble,
      gboolean cancelable,
      WebKitDOMDOMWindow* view,
      glong detail
    )

#### Description

No description available.

Deprecated since: 2.22

Use JavaScriptCore API instead.

#### Parameters

`type`

  Type: `const gchar*`

  A #gchar.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`canBubble`

  Type: `gboolean`

  A #gboolean.

`cancelable`

  Type: `gboolean`

  A #gboolean.

`view`

  Type: `WebKitDOMDOMWindow`

  A `WebKitDOMDOMWindow`.

  The data is owned by the caller of the method.

`detail`

  Type: `glong`

  A #glong.